Try this one,
I've added in 3 lines at the top to make updating for other layers and colours slightly easier... but will join up with a selection pop-up box in the future if needed. (that means that the 'ssget' line needs a small change)
Also added an 'if' statement, in the case that there are no entities coloured blue and on layer 'OldLayer' it will report 'nothing selected' - that might be where your error was, nothing on the layer in your example drawing.
(defun c:relocate ( / MySS MyEnt ed acount)
(setq OldLayer "1 EXISTING TO RELO" )
(setq OldColour 5 )
(setq NewLayer "1 RELO NEW LOCATION" )
(if (setq MySS (ssget (list (cons 8 OldLayer)(cons 62 OldColour))))
(progn
(setq acount 0) ;; a counter
(while (< acount (sslength MySS)) ;; a while loop
(setq MyEnt (ssname MySS acount)) ;; nth position entity of selection set
(setq ed (entget MyEnt)) ;; nth entity definition
(setq ed (subst (cons 8 NewLayer) (assoc 8 ed) ed ))
(entmod ed) ;; update the entitiy with the new definition
(setq acount (+ acount 1)) ;; counter + 1
) ; end while ;; end while loop
) ; end progn
(princ "Nothing Selected") ;; Error if nothing seleted in selection set
) ; end if
(princ) ;;exit silently
)